<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page

  // ISO 9362 : SWIFT Code / BIC Code - La liste des banques est accessible à tous

  if ($connexion)// si connexion à la base réussi
  {	
    mysql_select_db($base,$connexion) or die ("<p class='erreur'>La base est introuvable.</p>");
    
    if(isset($_GET["ordre"])){ 
      $ordre = $_GET["ordre"];
    }else{
      $ordre = 'nominstitutionbic';
    }
    
    //sélectionne toutes les iban ayant le numero de client de la session
    $requete="Select * from freepay_banque order by $ordre ASC, nominstitutionbic ASC;";
    $resultat = mysql_query($requete,$connexion); //connexion de la requete
    $ligne=mysql_fetch_assoc($resultat); //affichage des résultats
    
    echo "<h4 class='titre'>".$BICTitre[$lang]."</h4>";
    
    if (!empty($ligne)){
            
      echo '
      <table width="100%">
        <tr>
          <th><a href="'.$AdresseFreePay.'virement/bic/bic_liste.php?ordre=bic">BIC</a></th>
          <th><a href="'.$AdresseFreePay.'virement/bic/bic_liste.php?ordre=nominstitutionbic">'.$ICNomInstFi[$lang].'</a></th>
          <th><a href="'.$AdresseFreePay.'virement/bic/bic_liste.php?ordre=villebic">'.$ICNomVille[$lang].'</a></th>
          <th><a href="'.$AdresseFreePay.'virement/bic/bic_liste.php?ordre=codepaysbic">'.$ICCodePays[$lang].'</a></th>
          <th><a href="'.$AdresseFreePay.'virement/bic/bic_liste.php?ordre=paysbic">'.$ICNomPays[$lang].'</a></th>
        </tr>';
            
      while($ligne) //titre des champs
        {   
          echo '
          <tr>
            <td class="historique" onmouseover="this.style.backgroundColor=\'white\'" onmouseout="this.style.backgroundColor=\'#c8d7e3\'">'.$ligne["bic"].'</td>
            <td class="historique" onmouseover="this.style.backgroundColor=\'white\'" onmouseout="this.style.backgroundColor=\'#c8d7e3\'">';
            if( !empty($ligne["urlbic"]) ) {
              echo '<a href="'.$ligne["urlbic"].'">'.$ligne["nominstitutionbic"].'</a>';
            }else{
              echo $ligne["nominstitutionbic"];
            }
           echo '</td>
            <td class="historique" onmouseover="this.style.backgroundColor=\'white\'" onmouseout="this.style.backgroundColor=\'#c8d7e3\'">'.$ligne["villebic"].'</td>
            <td class="historique" onmouseover="this.style.backgroundColor=\'white\'" onmouseout="this.style.backgroundColor=\'#c8d7e3\'">'.$ligne["codepaysbic"].'</td>
            <td class="historique" onmouseover="this.style.backgroundColor=\'white\'" onmouseout="this.style.backgroundColor=\'#c8d7e3\'">'.$ligne["paysbic"].'</td>
          </tr>';
          $ligne=mysql_fetch_assoc($resultat);
        }
        
      echo "
      </table>
      ";
      
    }
    else
    {
      echo "<p class='info'>Aucun BIC enregistrée pour le moment.</p>";
    }
    
    echo '<p class="info"><strong>Liste non exhaustive.</strong> Vous pouvez consulter la <a href="http://www.swift.com/biconline/">liste des BIC de SWIFT</a> pour en savoir plus.</p>';
  }

  
  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page
  
?>
